Oracle 10.2.0.5 EM管理器的BUG,此为oracle数据库在该版本的BUG,Oracle专门发布了补丁8350262来解决这一问题。此bug在1222603.

问题背景环境
操作系统:SUSE linux 11 sp1

数据库:Oracle 10.2.0.5

问题:不能使用em管理器,但是10.2.0.1是可以用的,打了补丁就不行了。

问题解决办法:
此为oracle数据库在该版本的BUG,Oracle专门发布了补丁8350262来解决这一问题。此bug在1222603.1有详细描述。也就意味着以后升级到10204或10205版本,如果要使用em,,补丁8350262成为了必打之补丁。


oracle官方的描述如下:

In Enterprise Manager Database Control with Oracle Database 10.2.0.4 and 10.2.0.5, the root certificate used to secure communications via the Secure Socket Layer (SSL) protocol will expire on 31-Dec-2010 00:00:00. The certificate expiration will cause errors if you attempt to configure Database Control on or after 31-Dec-2010. Existing Database Control configurations are not affected by this issue.

If you plan to configure Database Control with either of these Oracle Database releases, Oracle strongly recommends that you apply Patch 8350262 to your Oracle Home installations before you configure Database Control. Configuration of Database Control is typically done when you create or upgrade Oracle Database, or if you run Enterprise Manager Configuration Assistant (EMCA) in standalone mode.

大致意思是用于em通信的ssl由于在2010-12-31日00:00之后失效,导致之后的em安装将会报如下错误:

引用

2011-01-09 09:36:56 Thread-51125136 ERROR pingManager: nmepm_pingReposURL: Cannot connect to https://myhost:1158/em/upload/: retStatus=-1
2011-01-09 09:36:56 Thread-51125136 ERROR ssl: Open wallet failed, ret = 28750
2011-01-09 09:36:56 Thread-51125136 ERROR ssl: nmehlenv_openWallet failed
2011-01-09 09:36:56 Thread-51125136 ERROR http: 15: Unable to initialize ssl connection withserver, aborting connection attempt


p8350262_10204_Generic.zip 与 p8350262_10205_Generic.zip 下载

免费下载地址在

用户名与密码都是

具体下载目录在 /2012年资料/12月/24日/Oracle 10.2.0.5 EM管理器的BUG

【数据库】Oracle 10.2.0.5 EM管理器的BUG